package com.inspect.patrol.linkage.block;

import com.inspect.patrol.annotation.CimeAnnotation;

public class TriggerBlock implements IBlock {
   @CimeAnnotation("站序号")
   private String stationSerialNumber;
   @CimeAnnotation("监控索引号")
   private String monitorIndexNo;
   @CimeAnnotation("联动属性")
   private String linkageAttribute;
   @CimeAnnotation("联动值")
   private String linkageValue;
   @CimeAnnotation("联动类型")
   private String type;

   public String getStationSerialNumber() {
      return this.stationSerialNumber;
   }

   public void setStationSerialNumber(String stationSerialNumber) {
      this.stationSerialNumber = stationSerialNumber;
   }

   public String getMonitorIndexNo() {
      return this.monitorIndexNo;
   }

   public void setMonitorIndexNo(String monitorIndexNo) {
      this.monitorIndexNo = monitorIndexNo;
   }

   public String getLinkageAttribute() {
      return this.linkageAttribute;
   }

   public void setLinkageAttribute(String linkageAttribute) {
      this.linkageAttribute = linkageAttribute;
   }

   public String getLinkageValue() {
      return this.linkageValue;
   }

   public void setLinkageValue(String linkageValue) {
      this.linkageValue = linkageValue;
   }

   public String getType() {
      return this.type;
   }

   public void setType(String type) {
      this.type = type;
   }
}
